Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.spatialaudio.SpatialAudioZone Class Reference

Sound insulation area settings. More...

## Public Member Functions
float[] | getPosition ()
float[] | getForward ()
float[] | getRight ()
float[] | getUp ()
int | getZoneSetId ()
float | getForwardLength ()
float | getRightLength ()
float | getUpLength ()
float | getAudioAttenuation ()

## Public Attributes
int | zoneSetId
float[] | position
float[] | forward
float[] | right
float[] | up
float | forwardLength
float | rightLength
float | upLength
float | audioAttenuation

## Detailed Description

Sound insulation area settings.

## Member Data Documentation

## ◆ zoneSetId

int io.agora.spatialaudio.SpatialAudioZone.zoneSetId

The ID of the sound insulation area.

## ◆ position

float [] io.agora.spatialaudio.SpatialAudioZone.position

The spatial center point of the sound insulation area. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ forward

float [] io.agora.spatialaudio.SpatialAudioZone.forward

Starting at `position`, the forward unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ right

float [] io.agora.spatialaudio.SpatialAudioZone.right

Starting at `position`, the right unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ up

float [] io.agora.spatialaudio.SpatialAudioZone.up

Starting at `position`, the up unit vector. This parameter is an array of length 3, and the three values represent the front, right, and top coordinates in turn.

## ◆ forwardLength

float io.agora.spatialaudio.SpatialAudioZone.forwardLength

The entire sound insulation area is regarded as a cube; this represents the length of the forward side in the unit length of the game engine.

## ◆ rightLength

float io.agora.spatialaudio.SpatialAudioZone.rightLength

The entire sound insulation area is regarded as a cube; this represents the length of the right side in the unit length of the game engine.

## ◆ upLength

float io.agora.spatialaudio.SpatialAudioZone.upLength

The entire sound insulation area is regarded as a cube; this represents the length of the up side in the unit length of the game engine.

## ◆ audioAttenuation

float io.agora.spatialaudio.SpatialAudioZone.audioAttenuation

The sound attenuation coefficient when users within the sound insulation area communicate with external users. The value range is [0,1]. The values are as follows:

- 0: Broadcast mode, where the volume and timbre are not attenuated with distance, and the volume and timbre heard by local users do not change regardless of distance.
- (0,0.5): Weak attenuation mode, that is, the volume and timbre are only weakly attenuated during the propagation process, and the sound can travel farther than the real environment.
- 0.5: (Default) simulates the attenuation of the volume in the real environment; the effect is equivalent to not setting the `audioAttenuation` parameter.
- (0.5,1]: Strong attenuation mode (default value is 1), that is, the volume and timbre attenuate rapidly during propagation.